// priority: 2 

console.info('Hello, World! (You will see this line every time client resources reload)')

onEvent('recipes', event => {
	// Remove recipes here
	event.remove({output: 'supplementaries:cog_block'})
	event.remove({output: 'supplementaries:rope'})
	event.remove({output: 'supplementaries:checker_vertical_slab'})
	event.remove({output: 'supplementaries:blackstone_tile_vertical_slab'})
	event.remove({output: 'supplementaries:stone_tile_vertical_slab'})
	event.remove({output: '#quark:vertical_slab'})
	event.remove({output: '#quark:vertical_slabs'})
	event.remove({output: 'quark:myalite_bricks_vertical_slab'})
	event.remove({output: 'quark:golden_frog_leg'})
	event.remove({output: 'quark:white_candle', type:'crafting_shaped'})
	event.remove({output: 'farmersdelight:wheat_dough'})
	event.remove({output: 'farmersdelight:rope'})
	event.remove({output: 'autumnity:pancake'})
	event.remove({mod: 'theoneprobe'})
	event.remove({output: 'create:sticker'})
	event.remove({output: 'create:schematicannon', type:'crafting_shaped'})
	event.remove({output: 'create:brown_toolbox', type:'crafting_shaped'})
	event.remove({output: 'create_stuff_additions:sticky_helmet'})
	event.remove({output: 'create_stuff_additions:andesite_helmet'})
	event.remove({output: 'create_stuff_additions:andesite_exoskeleton_chestplate'})
	event.remove({output: 'create_stuff_additions:andesite_encased_jet_chestplate'})
	event.remove({output: 'create_stuff_additions:brass_moped_item', type:'crafting_shaped'})
	event.remove({output: 'create_stuff_additions:encased_jet_chestplate', type:'crafting_shaped'})
	event.remove({output: 'create_stuff_additions:chocolate_fountain', type:'crafting_shaped'})

	event.recipes.create.mixing('creatia:golden_frog', [
	  'quark:golden_frog_leg',
	  'quark:golden_frog_leg',
	  'quark:golden_frog_leg',
	  'quark:golden_frog_leg'
	]).superheated()

	event.recipes.create.mixing('creatia:frog', [
	  'quark:frog_leg',
	  'quark:frog_leg',
	  'quark:frog_leg',
	  'quark:frog_leg'
	])

	event.recipes.create.filling('creatia:chocolate_glazed_frog',[
		'creatia:frog',
		Fluid.of('create:chocolate', 250)
	])
	
	// REFILL TANK WITH CHOCOLATE:
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:1000}},display:{Lore:['"Chocolate: 1.0B"']}}), [
		Item.of('create:fluid_tank', {CustomModelData:0}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:2000}},display:{Lore:['"Chocolate: 2.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:1000}},display:{Lore:['"Chocolate: 1.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:3000}},display:{Lore:['"Chocolate: 3.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:2000}},display:{Lore:['"Chocolate: 2.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:4000}},display:{Lore:['"Chocolate: 4.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:3000}},display:{Lore:['"Chocolate: 3.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:5000}},display:{Lore:['"Chocolate: 5.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:4000}},display:{Lore:['"Chocolate: 4.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:6000}},display:{Lore:['"Chocolate: 6.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:5000}},display:{Lore:['"Chocolate: 5.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:7000}},display:{Lore:['"Chocolate: 7.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:6000}},display:{Lore:['"Chocolate: 6.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:8000}},display:{Lore:['"Chocolate: 8.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:7000}},display:{Lore:['"Chocolate: 7.0B"']}}),
		Fluid.of('create:chocolate', 1000)
	])

	// REFILL TANK WITH HONEY:
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:1000}},display:{Lore:['"Honey: 1.0B"']}}), [
		Item.of('create:fluid_tank', {CustomModelData:0}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:2000}},display:{Lore:['"Honey: 2.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:1000}},display:{Lore:['"Honey: 1.0B"']}}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:3000}},display:{Lore:['"Honey: 3.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:2000}},display:{Lore:['"Honey: 2.0B"']}}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:4000}},display:{Lore:['"Honey: 4.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:3000}},display:{Lore:['"Honey: 3.0B"']}}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:5000}},display:{Lore:['"Honey: 5.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:4000}},display:{Lore:['"Honey: 4.0B"']}}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:6000}},display:{Lore:['"Honey: 6.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:5000}},display:{Lore:['"Honey: 5.0B"']}}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:7000}},display:{Lore:['"Honey: 7.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:6000}},display:{Lore:['"Honey: 6.0B"']}}),
		Fluid.of('create:honey', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:8000}},display:{Lore:['"Honey: 8.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:honey",Amount:7000}},display:{Lore:['"Honey: 7.0B"']}}),
		Fluid.of('create:honey', 1000)
	])

	// REFILL TANK WITH MILK:
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:1000}},display:{Lore:['"Milk: 1.0B"']}}), [
		Item.of('create:fluid_tank', {CustomModelData:0}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:2000}},display:{Lore:['"Milk: 2.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:1000}},display:{Lore:['"Milk: 1.0B"']}}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:3000}},display:{Lore:['"Milk: 3.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:2000}},display:{Lore:['"Milk: 2.0B"']}}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:4000}},display:{Lore:['"Milk: 4.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:3000}},display:{Lore:['"Milk: 3.0B"']}}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:5000}},display:{Lore:['"Milk: 5.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:4000}},display:{Lore:['"Milk: 4.0B"']}}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:6000}},display:{Lore:['"Milk: 6.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:5000}},display:{Lore:['"Milk: 5.0B"']}}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:7000}},display:{Lore:['"Milk: 7.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:6000}},display:{Lore:['"Milk: 6.0B"']}}),
		Fluid.of('create:milk', 1000)
	])
	event.recipes.create.filling(Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:8000}},display:{Lore:['"Milk: 8.0B"']}}), [
		Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:milk",Amount:7000}},display:{Lore:['"Milk: 7.0B"']}}),
		Fluid.of('create:milk', 1000)
	])

	event.recipes.create.mechanical_crafting('create:schematicannon', [
	  ' ICI ',
	  'BIDIB',
	  'BIIIB',
	  'BWWWB',
	  ' SSS ',
	], {
	  I: 'minecraft:iron_block',
	  C: 'create:chute',
	  B: 'create:brass_casing',
	  D: 'minecraft:dispenser',
	  W: '#minecraft:logs',
	  S: 'minecraft:smooth_stone'
	})

	event.recipes.create.mechanical_crafting('create_stuff_additions:brass_moped_item', [
	  ' bbb ',
	  'sBBBB',
	  'BBFBB',
	  'BcccB',
	  ' MMM ',
	], {
	  b: 'create:brass_sheet',
	  s: 'create:shaft',
	  B: 'create:brass_casing',
	  F: 'create:furnace_engine',
	  c: 'create:cogwheel',
	  M: 'create:belt_connector'
	})

	event.recipes.create.mechanical_crafting('create_stuff_additions:chocolate_fountain', [
	  ' cpc ',
	  'cTPTc',
	  'CCDCC',
	], {
	  c: 'create:copper_sheet',
	  p: 'create:fluid_pipe',
	  T: Item.of('create:fluid_tank', {BlockEntityTag:{TankContent:{FluidName:"create:chocolate",Amount:8000}},display:{Lore:['"Chocolate: 8.0B"']}}),
	  P: 'create:mechanical_pump',
	  C: 'create:copper_casing',
	  D: 'create:item_drain'
	})

	event.shaped('create_stuff_additions:sticky_helmet',  [
	  'iSi',
	  'ara',
	  'czc'
	], {
	  i: 'create:iron_sheet',
	  S: 'create:sticker',
	  a: 'create:andesite_alloy',
	  r: 'minecraft:redstone',
	  c: '#forge:cobblestone',
	  z: 'create_stuff_additions:zinc_helmet'
	})

	event.shaped('create:sticker',  [
	  '   ',
	  'aSa',
	  'crc'
	], {
	  S: '#quark:slime_blocks',
	  a: 'create:andesite_alloy',
	  r: 'minecraft:redstone',
	  c: '#forge:cobblestone'
	})

	event.recipes.create.mechanical_crafting('creatia:clay_cup', [
	  'C   C',
	  'C   C',
	  'CC CC',
	  ' CCC '
	], {
	  C: 'minecraft:clay'
	})

	event.blasting('creatia:hardened_clay_cup', 'creatia:clay_cup')

	event.recipes.create.filling('creatia:chocolate_cup',[
		'creatia:hardened_clay_cup',
		Fluid.of('create:chocolate', 1000)
	])

	event.shaped('quark:white_candle',  [
	  ' s ',
	  ' h '
	], {
	  s: 'minecraft:string',
	  h: 'minecraft:honeycomb'
	})

	event.recipes.create.sequenced_assembly([
    	Item.of('create:brown_toolbox')
    	], 'create:adjustable_crate', [
    	event.recipes.create.deploying('create:adjustable_crate', ['create:adjustable_crate', 'create:precision_mechanism']),
    	event.recipes.create.deploying('create:adjustable_crate', ['create:adjustable_crate', 'create:refined_radiance']),
    	event.recipes.create.deploying('create:adjustable_crate', ['create:adjustable_crate', 'create:shadow_steel']),
    	event.recipes.create.deploying('create:adjustable_crate', ['create:adjustable_crate', 'create:golden_sheet']),
    	event.recipes.createPressing('create:adjustable_crate', 'create:adjustable_crate')
	]).transitionalItem('creatia:incomplete_toolbox').loops(4)

	event.shaped('create:brown_toolbox', [
	  ' b ',
	  ' t '
	], {
	  b: 'minecraft:brown_dye',
	  t: '#create:toolboxes'
	})

	event.replaceOutput({}, 'create_stuff_additions:encased_jet_chestplate', Item.of('create_stuff_additions:encased_jet_chestplate', {Damage:0,HideFlags:2,AttributeModifiers:[{AttributeName:"generic.armor",Operation:0,UUID:[-950298625,-1850913755,-1218151184,-2059296793],Amount:0,Name:"generic.armor"}]}))
	event.replaceOutput({type: 'crafting_shaped'}, 'create:fluid_tank', Item.of('create:fluid_tank', {CustomModelData:0}))
})